Bug 1668052 - [RFE] Add support for module dependency resolution
Summary: [RFE] Add support for module dependency resolution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Brian Herring
URL:
Whiteboard:
Depends On: 1723590 1725957 1726139
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-21 19:43 UTC by Tanya Tereshchenko
Modified: 2020-10-05 14:12 UTC (History)
10 users (show)

Fixed In Version: pulp-rpm-2.19.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 3740 Normal CLOSED - CURRENTRELEASE Implement modularity content dependency solving 2019-04-02 21:01:58 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:01 UTC

Description Tanya Tereshchenko 2019-01-21 19:43:04 UTC
Pulp lacks the ability to perform dependency solving at a module level and to copy dependent modules and their artifacts during recursive copy operation.

It's important for modules to have all their artifacts present in a repo.
Regardless of the depsolving strategy for RPMs, all module artifacts and related modules should be copied to a target repo. 
E.g if the target repository already contains units newer than a module requires, the module-required units need to be copied in the older version, in addition to the already present units.

Modules may depend on other modules, either for the build- or the run-time. 
https://docs.fedoraproject.org/en-US/modularity/making-modules/defining-modules/#_advanced_dependencies_optional.

Pulp should perform dependency solving based on runtime dependencies only.

Comment 2 pulp-infra@redhat.com 2019-01-21 20:01:46 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2019-01-21 20:01:47 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2019-01-22 17:31:38 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2019-01-22 18:02:33 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 6 Robin Chan 2019-01-22 18:55:11 UTC
Should this ticket explicitly include module errata as well? Or was that intentionally left out of the description?

Comment 7 pulp-infra@redhat.com 2019-03-20 09:32:14 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 8 pulp-infra@redhat.com 2019-04-02 21:01:59 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 14 errata-xmlrpc 2020-04-14 13:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.